FE - React - Share keycloak instance into global state

13 December 2023 09:30 AM - chok yee fan

Status: Closed Start date: 13 December 2023

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

After cc_iam login, share the keycloak instance to global state, allow other child to access the same keycloak instance to do the

business logic.

Keycloak instance unable to create multiple instance, must use the same otherwise will cause each children have their one login

session.

History

#1 - 13 December 2023 04:02 PM - chok yee fan

chok: share keycloak instance into the global state.

rename cc_iam_key to cc_iam_keyclooakInstance

rename cc_iam_lang to cc_topnavbar_language

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/8fd83446e9419c9b513043cc25e5ee7d6684a090

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/293a92cab69245c2dbdbfcc8f5f8d695532b531b

#2 - 14 December 2023 02:11 PM - chok yee fan

chok: add the checking is qiankun only set the global state

https://dev.silverlakemobility.com/redmine/issues/19153

#3 - 14 December 2023 04:21 PM - chok yee fan

- Status changed from New to Closed
